Get radar PMTiles archive by timestamp
curl --request GET \
--url https://conus.prod.radar.arcweather.cloud/tiles/{timestamp}.pmtiles \
--header 'Authorization: <api-key>' \
--header 'X-App: <api-key>'import requests
url = "https://conus.prod.radar.arcweather.cloud/tiles/{timestamp}.pmtiles"
headers = {
"Authorization": "<api-key>",
"X-App": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>', 'X-App': '<api-key>'}};
fetch('https://conus.prod.radar.arcweather.cloud/tiles/{timestamp}.pmtiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"code": 400,
"message": "Bad Request"
}
}{
"error": {
"code": 401,
"message": "Unauthorized"
}
}{
"error": {
"code": 403,
"message": "Forbidden"
}
}{
"error": {
"code": 404,
"message": "Not Found"
}
}{
"error": {
"code": 429,
"message": "Too Many Requests"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}{
"error": {
"code": 503,
"message": "Service Unavailable"
}
}Get radar PMTiles archive by timestamp
Returns a CONUS radar PMTiles archive for the requested published timestamp. The timestamp should be obtained from the /status.json endpoint. Radar is distributed as PMTiles only and is not available as traditional XYZ tile endpoints.
GET
/
tiles
/
{timestamp}
.pmtiles
Get radar PMTiles archive by timestamp
Authorizations
API key sent in the Authorization header using Bearer format. Example: Authorization: Bearer YOUR_API_KEY
Application identifier sent in the X-App header using Bearer format. Example: X-App: Bearer YOUR_APP_ID
Path Parameters
Published radar timestamp in YYYYMMDDHHmm format.
Pattern:
^[0-9]{12}$Example:
"202604022225"
Response
PMTiles archive retrieved successfully
The response is of type file.
Last modified on April 4, 2026
⌘I